﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="NYSEData" targetNamespace="http://tempuri.org/NYSEData.xsd" xmlns:mstns="http://tempuri.org/NYSEData.xsd" xmlns="http://tempuri.org/NYSEData.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="NYSEDailyPricesConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="NYSEDailyPricesConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.CSharp_InHouseGui.Properties.Settings.GlobalReference.Default.NYSEDailyPricesConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="NYSEDailyPriceTableAdapter" GeneratorDataComponentClassName="NYSEDailyPriceTableAdapter" Name="NYSEDailyPrice" UserDataComponentName="NYSEDailyPriceTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="NYSEDailyPricesConnectionString (Settings)" DbObjectName="NYSEDailyPrices.dbo.NYSEDailyPrice" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT DISTINCT exchange, stock_symbol, date, stock_price_open, stock_price_high, stock_price_low, stock_price_close, stock_volume, stock_price_adj_close
FROM     NYSEDailyPrice
--Removing duplicates due to lack of Primary key in table</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="exchange" DataSetColumn="exchange" />
              <Mapping SourceColumn="stock_symbol" DataSetColumn="stock_symbol" />
              <Mapping SourceColumn="date" DataSetColumn="date" />
              <Mapping SourceColumn="stock_price_open" DataSetColumn="stock_price_open" />
              <Mapping SourceColumn="stock_price_high" DataSetColumn="stock_price_high" />
              <Mapping SourceColumn="stock_price_low" DataSetColumn="stock_price_low" />
              <Mapping SourceColumn="stock_price_close" DataSetColumn="stock_price_close" />
              <Mapping SourceColumn="stock_volume" DataSetColumn="stock_volume" />
              <Mapping SourceColumn="stock_price_adj_close" DataSetColumn="stock_price_adj_close" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="NYSEDailyPricesConnectionString (Settings)" DbObjectName="NYSEDailyPrices.dbo.NYSEDailyPrice" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByDateAndCol" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetDataByDateAndCol" GeneratorSourceName="FillByDateAndCol" GetMethodModifier="Public" GetMethodName="GetDataByDateAndCol" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataByDateAndCol" UserSourceName="FillByDateAndCol">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT date, exchange, stock_price_adj_close, stock_price_close, stock_price_high, stock_price_low, stock_price_open, stock_symbol, stock_volume FROM NYSEDailyPrice WHERE (date BETWEEN @datestart AND @datefinish) AND (stock_symbol = @SymbolName)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="datestart" ColumnName="date" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="datetime2" DbType="AnsiString" Direction="Input" ParameterName="@datestart" Precision="0" ProviderType="DateTime2" Scale="0" Size="8" SourceColumn="date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="datefinish" ColumnName="date" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="datetime2" DbType="AnsiString" Direction="Input" ParameterName="@datefinish" Precision="0" ProviderType="DateTime2" Scale="0" Size="8" SourceColumn="date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="SymbolName" ColumnName="stock_symbol" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="nvarchar(50)" DbType="String" Direction="Input" ParameterName="@SymbolName" Precision="0" ProviderType="NVarChar" Scale="0" Size="50" SourceColumn="stock_symbol" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="NYSEDailyPricesConnectionString (Settings)" DbObjectName="NYSEDailyPrices.dbo.NYSEDailyPrice" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillBySymbol" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetDataBySymbol" GeneratorSourceName="FillBySymbol" GetMethodModifier="Public" GetMethodName="GetDataBySymbol" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBySymbol" UserSourceName="FillBySymbol">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT date, exchange, stock_price_adj_close, stock_price_close, stock_price_high, stock_price_low, stock_price_open, stock_symbol, stock_volume FROM NYSEDailyPrice WHERE (stock_symbol = @SelectedSymbol)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="SelectedSymbol" ColumnName="stock_symbol" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="nvarchar(50)" DbType="String" Direction="Input" ParameterName="@SelectedSymbol" Precision="0" ProviderType="NVarChar" Scale="0" Size="50" SourceColumn="stock_symbol" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="NYSEDailyPricesConnectionString (Settings)" DbObjectName="NYSEDailyPrices.dbo.NYSEDailyPrice" DbObjectType="Table" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="GetDataByDate" GetMethodModifier="Public" GetMethodName="GetDataByDate" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataByDate" UserSourceName="GetDataByDate">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT date, exchange, stock_price_adj_close, stock_price_close, stock_price_high, stock_price_low, stock_price_open, stock_symbol, stock_volume FROM NYSEDailyPrice WHERE (date BETWEEN @datestart AND @datefinish)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="datestart" ColumnName="date" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="datetime2" DbType="AnsiString" Direction="Input" ParameterName="@datestart" Precision="0" ProviderType="DateTime2" Scale="0" Size="8" SourceColumn="date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="datefinish" ColumnName="date" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="datetime2" DbType="AnsiString" Direction="Input" ParameterName="@datefinish" Precision="0" ProviderType="DateTime2" Scale="0" Size="8" SourceColumn="date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="NYSEDailyPriceSymbolAdaptorTableAdapter" GeneratorDataComponentClassName="NYSEDailyPriceSymbolAdaptorTableAdapter" Name="NYSEDailyPriceSymbolAdaptor" UserDataComponentName="NYSEDailyPriceSymbolAdaptorTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="NYSEDailyPricesConnectionString (Settings)" DbObjectName="NYSEDailyPrices.dbo.NYSEDailyPrice" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT DISTINCT stock_symbol as stockSymbols, COUNT(stock_symbol) AS Count
FROM     NYSEDailyPrice
GROUP BY stock_symbol</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="stockSymbols" DataSetColumn="stockSymbols" />
              <Mapping SourceColumn="Count" DataSetColumn="Count" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="NYSEDailyPricesConnectionString (Settings)" DbObjectName="NYSEDailyPrices.dbo.NYSEDailyPrice" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByDate" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetDataByDate" GeneratorSourceName="FillByDate" GetMethodModifier="Public" GetMethodName="GetDataByDate" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataByDate" UserSourceName="FillByDate">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT DISTINCT stock_symbol as stockSymbols, COUNT(stock_symbol) AS Count
FROM     NYSEDailyPrice   WHERE (date BETWEEN @datestart AND @datefinish)
GROUP BY stock_symbol</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="datestart" ColumnName="date" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="datetime2" DbType="AnsiString" Direction="Input" ParameterName="@datestart" Precision="0" ProviderType="DateTime2" Scale="0" Size="8" SourceColumn="date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="datefinish" ColumnName="date" DataSourceName="NYSEDailyPrices.dbo.NYSEDailyPrice" DataTypeServer="datetime2" DbType="AnsiString" Direction="Input" ParameterName="@datefinish" Precision="0" ProviderType="DateTime2" Scale="0" Size="8" SourceColumn="date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="NYSEData" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="NYSEData" msprop:Generator_UserDSName="NYSEData">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="NYSEDailyPrice" msprop:Generator_TableClassName="NYSEDailyPriceDataTable" msprop:Generator_TableVarName="tableNYSEDailyPrice" msprop:Generator_RowChangedName="NYSEDailyPriceRowChanged" msprop:Generator_TablePropName="NYSEDailyPrice" msprop:Generator_RowDeletingName="NYSEDailyPriceRowDeleting" msprop:Generator_RowChangingName="NYSEDailyPriceRowChanging" msprop:Generator_RowEvHandlerName="NYSEDailyPriceRowChangeEventHandler" msprop:Generator_RowDeletedName="NYSEDailyPriceRowDeleted" msprop:Generator_RowClassName="NYSEDailyPriceRow" msprop:Generator_UserTableName="NYSEDailyPrice" msprop:Generator_RowEvArgName="NYSEDailyPriceRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="exchange" msprop:nullValue="_throw" msprop:Generator_ColumnPropNameInRow="exchange" msprop:Generator_ColumnVarNameInTable="columnexchange" msprop:Generator_ColumnPropNameInTable="exchangeColumn" msprop:Generator_UserColumnName="exchange">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="stock_symbol" msprop:nullValue="_throw" msprop:Generator_ColumnPropNameInRow="stock_symbol" msprop:Generator_ColumnVarNameInTable="columnstock_symbol" msprop:Generator_ColumnPropNameInTable="stock_symbolColumn" msprop:Generator_UserColumnName="stock_symbol">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="date" msdata:Caption="Date" msprop:nullValue="_throw" msprop:Generator_ColumnPropNameInRow="date" msprop:Generator_ColumnVarNameInTable="columndate" msprop:Generator_ColumnPropNameInTable="dateColumn" msprop:Generator_UserColumnName="date" type="xs:dateTime" />
              <xs:element name="stock_price_open" msprop:Generator_ColumnVarNameInTable="columnstock_price_open" msprop:Generator_ColumnPropNameInRow="stock_price_open" msprop:Generator_ColumnPropNameInTable="stock_price_openColumn" msprop:Generator_UserColumnName="stock_price_open" type="xs:double" />
              <xs:element name="stock_price_high" msprop:Generator_ColumnVarNameInTable="columnstock_price_high" msprop:Generator_ColumnPropNameInRow="stock_price_high" msprop:Generator_ColumnPropNameInTable="stock_price_highColumn" msprop:Generator_UserColumnName="stock_price_high" type="xs:double" />
              <xs:element name="stock_price_low" msprop:Generator_ColumnVarNameInTable="columnstock_price_low" msprop:Generator_ColumnPropNameInRow="stock_price_low" msprop:Generator_ColumnPropNameInTable="stock_price_lowColumn" msprop:Generator_UserColumnName="stock_price_low" type="xs:double" />
              <xs:element name="stock_price_close" msprop:Generator_ColumnVarNameInTable="columnstock_price_close" msprop:Generator_ColumnPropNameInRow="stock_price_close" msprop:Generator_ColumnPropNameInTable="stock_price_closeColumn" msprop:Generator_UserColumnName="stock_price_close" type="xs:double" />
              <xs:element name="stock_volume" msprop:Generator_ColumnVarNameInTable="columnstock_volume" msprop:Generator_ColumnPropNameInRow="stock_volume" msprop:Generator_ColumnPropNameInTable="stock_volumeColumn" msprop:Generator_UserColumnName="stock_volume" type="xs:int" />
              <xs:element name="stock_price_adj_close" msprop:Generator_ColumnVarNameInTable="columnstock_price_adj_close" msprop:Generator_ColumnPropNameInRow="stock_price_adj_close" msprop:Generator_ColumnPropNameInTable="stock_price_adj_closeColumn" msprop:Generator_UserColumnName="stock_price_adj_close" type="xs:double" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="NYSEDailyPriceSymbolAdaptor" msprop:Generator_TableClassName="NYSEDailyPriceSymbolAdaptorDataTable" msprop:Generator_TableVarName="tableNYSEDailyPriceSymbolAdaptor" msprop:Generator_TablePropName="NYSEDailyPriceSymbolAdaptor" msprop:Generator_RowDeletingName="NYSEDailyPriceSymbolAdaptorRowDeleting" msprop:Generator_RowChangingName="NYSEDailyPriceSymbolAdaptorRowChanging" msprop:Generator_RowEvHandlerName="NYSEDailyPriceSymbolAdaptorRowChangeEventHandler" msprop:Generator_RowDeletedName="NYSEDailyPriceSymbolAdaptorRowDeleted" msprop:Generator_UserTableName="NYSEDailyPriceSymbolAdaptor" msprop:Generator_RowChangedName="NYSEDailyPriceSymbolAdaptorRowChanged" msprop:Generator_RowEvArgName="NYSEDailyPriceSymbolAdaptorRowChangeEvent" msprop:Generator_RowClassName="NYSEDailyPriceSymbolAdaptorRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="stockSymbols" msprop:Generator_ColumnVarNameInTable="columnstockSymbols" msprop:Generator_ColumnPropNameInRow="stockSymbols" msprop:Generator_ColumnPropNameInTable="stockSymbolsColumn" msprop:Generator_UserColumnName="stockSymbols">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Count" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnCount" msprop:Generator_ColumnPropNameInRow="Count" msprop:Generator_ColumnPropNameInTable="CountColumn" msprop:Generator_UserColumnName="Count" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>